CsvImportServer (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.server.csv

## Class CsvImportServer

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.server.csv.CsvImportServer

- All Implemented Interfaces:
    org.gcube.portlets.user.csvimportwizard.server.csv.CSVTarget

      public class CsvImportServer
      extends Object
      implements org.gcube.portlets.user.csvimportwizard.server.csv.CSVTarget

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.log4j.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsvImportServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `void` | `importCSV(javax.servlet.http.HttpSession httpSession, File csvFile, String fileName, org.gcube.portlets.user.csvimportwizard.server.csv.CSVParserConfiguration parserConfiguration, boolean[] columnToImportMask, org.gcube.portlets.user.csvimportwizard.client.progress.OperationProgress operationProgress)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### CsvImportServer

          public CsvImportServer()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.gcube.portlets.user.csvimportwizard.server.csv.CSVTarget`

    - #### importCSV

          public void importCSV(javax.servlet.http.HttpSession httpSession,
                       File csvFile,
                       String fileName,
                       org.gcube.portlets.user.csvimportwizard.server.csv.CSVParserConfiguration parserConfiguration,
                       boolean[] columnToImportMask,
                       org.gcube.portlets.user.csvimportwizard.client.progress.OperationProgress operationProgress)

      Specified by:
        `importCSV` in interface `org.gcube.portlets.user.csvimportwizard.server.csv.CSVTarget`

Copyright © 2014. All Rights Reserved.